%define anolis_release 2
%global gcrysoname libgcrypt.so.20

Name:           libgcrypt
Version:        1.10.1
Release:        %{anolis_release}%{?dist}
Summary:        A general-purpose cryptography library

License:        LGPLv2+
URL:            https://www.gnupg.org/
Source0:        https://www.gnupg.org/ftp/gcrypt/libgcrypt/libgcrypt-%{version}.tar.bz2
Patch0:		libgcrypt-1.9.3-libdir.patch
BuildRequires:  gcc gawk texinfo autoconf automake libtool make
BuildRequires:	libgpg-error-devel >= 1.27

%description
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This is a development version.

%package	doc
Summary:	Doc files for libgcrypt
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
Doc files for libgcrypt.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --enable-noexecstack
%make_build

%install
%make_install
mkdir -p -m 755 %{buildroot}%{_sysconfdir}/gcrypt

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING.LIB
%dir %{_sysconfdir}/gcrypt
%{_libdir}/%{gcrysoname}
%{_libdir}/%{gcrysoname}.*
%{abidir}/libgcrypt.dump

%files doc
%doc AUTHORS NEWS THANKS ChangeLog

%files devel
%license COPYING
%{_bindir}/%{name}-config
%{_bindir}/dumpsexp
%{_bindir}/hmac256
%{_bindir}/mpicalc
%{abidir}/dumpsexp-option.list
%{abidir}/hmac256-option.list
%{abidir}/mpicalc-option.list
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgcrypt.pc
%{_datadir}/aclocal/*
%{_mandir}/man1/*
%{_infodir}/gcrypt.info*

%changelog
* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.10.1-2
- optimise spec file

* Mon Oct 10 2022 Funda Wang <fundawang@yeah.net> - 1.10.1-1
- New version 1.10.1
- Add patch from mageia for removal wrong libdir from libgcrypt-config
- Remove disable-brainpool switch, as stated by developer (https://dev.gnupg.org/T5162)

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 1.10.0-1 
- Init for Anolis OS 23 
